# HG changeset patch
# User UENO Katsuhiro
# Date 1326448355 -32400
# Node ID 26c7e26c44f951e04dbe9429661725674b0d5d46
# Parent  3d117197ef46a2b833ba6af53803f993a9737dac
changed the order of command line arguments of linker command to avoid link errors.

diff -r 3d117197ef46 -r 26c7e26c44f9 smlsharp/SMLSharp/src/compiler/main/main/SimpleMain.sml
--- a/smlsharp/SMLSharp/src/compiler/main/main/SimpleMain.sml	Fri Jan 13 14:57:46 2012 +0900
+++ b/smlsharp/SMLSharp/src/compiler/main/main/SimpleMain.sml	Fri Jan 13 18:52:35 2012 +0900
@@ -422,8 +422,8 @@
         val smlsharpEntry = Filename.concatPath (systemBaseDir, smlsharpEntry)
       in
         BinUtils.link {flags = LDFLAGS,
-                       libs = LIBS,
-                       objects = smlsharpEntry :: objfiles @ [libsmlsharp],
+                       libs = Filename.toString libsmlsharp :: LIBS,
+                       objects = smlsharpEntry :: objfiles,
                        dst = linkOutputFilename}
       end
 
diff -r 3d117197ef46 -r 26c7e26c44f9 smlsharp/SMLSharp/src/compiler/toolchain/main/BinUtils.sml
--- a/smlsharp/SMLSharp/src/compiler/toolchain/main/BinUtils.sml	Fri Jan 13 14:57:46 2012 +0900
+++ b/smlsharp/SMLSharp/src/compiler/toolchain/main/BinUtils.sml	Fri Jan 13 18:52:35 2012 +0900
@@ -81,9 +81,9 @@
         val pre = join (SMLSharpConfiguration.CC ::
                         SMLSharpConfiguration.LDFLAGS ::
                         map quote flags)
-        val post = join (SMLSharpConfiguration.LIBS ::
-                         map quote libs
-                         @ ["-o", quote (Filename.toString dst)])
+        val post = join (map quote libs
+                         @ [SMLSharpConfiguration.LIBS,
+                            "-o", quote (Filename.toString dst)])
       in
         invokeLinker (pre, objects, post)
       end
